Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000617graphvizBuild/Installpublic2006-09-11 06:032013-02-13 15:23
ReporterBenjamin Roy 
Assigned Toellson 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSx86-Linux-Linux version 2.6.15-1OS Version
Summary0000617: Build problem on x86 with gcc version 4.0.2
Description



Configure with:
configure --prefix=/udd/broy/local
no issue with configure



when make, have an issue:
<CD>
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../../lib/ast -I/udd/broy/local/include -Dvt_threaded=0 -g -O2 -Wno-unknown-pragmas -Wstrict-prototypes -Wpointer-arith -Wall -ffast-math -MT sftable.lo -MD -MP -MF .deps/sftable.Tpo -c sftable.c -fPIC -DPIC -o .libs/sftable.o
sftable.c: In function 'sffmtpos':
sftable.c:265: error: 'ptrdiff_t' undeclared (first use in this function)
sftable.c:265: error: (Each undeclared identifier is reported only once
sftable.c:265: error: for each function it appears in.)
sftable.c:337: warning: implicit declaration of function 'memcpy'
sftable.c:337: warning: incompatible implicit declaration of built-in function 'memcpy'
sftable.c:354: warning: implicit declaration of function 'strlen'
sftable.c:354: warning: incompatible implicit declaration of built-in function 'strlen'
sftable.c:359: warning: incompatible implicit declaration of built-in function 'memcpy'
sftable.c:405: warning: incompatible implicit declaration of built-in function 'memcpy'
make[4]: *** [sftable.lo] Error 1
make[4]: Leaving directory `/udd/broy/Desktop/graphviz-2.8/lib/sfio'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/udd/broy/Desktop/graphviz-2.8/lib/sfio'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/udd/broy/Desktop/graphviz-2.8/lib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/udd/broy/Desktop/graphviz-2.8'
make: *** [all] Error 2






Same type of issue with make install:
 gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../../lib/ast -I/udd/broy/local/include - Dvt_threaded=0 -g -O2 -Wno-unknown-pragmas -Wstrict-prototypes -Wpointer-arith - Wall -ffast-math -MT sftable.lo -MD -MP -MF .deps/sftable.Tpo -c sftable.c -fPI C -DPIC -o .libs/sftable.o
sftable.c: In function 'sffmtpos':
sftable.c:265: error: 'ptrdiff_t' undeclared (first use in this function)
sftable.c:265: error: (Each undeclared identifier is reported only once
sftable.c:265: error: for each function it appears in.)
sftable.c:337: warning: implicit declaration of function 'memcpy'
sftable.c:337: warning: incompatible implicit declaration of built-in function ' memcpy'
sftable.c:354: warning: implicit declaration of function 'strlen'
sftable.c:354: warning: incompatible implicit declaration of built-in function ' strlen'
sftable.c:359: warning: incompatible implicit declaration of built-in function ' memcpy'
sftable.c:405: warning: incompatible implicit declaration of built-in function ' memcpy'
make[3]: *** [sftable.lo] Error 1
make[3]: Leaving directory `/udd/broy/Desktop/graphviz-2.8/lib/sfio'
make[2]: *** [install-recursive] Error 1
make[2]: Leaving directory `/udd/broy/Desktop/graphviz-2.8/lib/sfio'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/udd/broy/Desktop/graphviz-2.8/lib'
make: *** [install-recursive] Error 1
</CD>
Additional Information

Hi,
Is the issues are generated because of the gcc version?
How to fix it cause my install is not complete?
For example, I can't use dot, got an error message:
"dot: error while loading shared libraries: libgvc.so.2: cannot open shared object file: No such file or directory"
despite that the libgvc.so.2 is in my local lib directory /udd/broy/local/lib

Thanks..

[ellson] I don't know what the problem is. I build graphviz every night on FC4 without these errors.
Is your system fully updated? (I note that your kernel is not, but that shouldn't matter.)

Could you please send me your config.log?
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENTinactive. unable to reproduce
FORMER-ID1019
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT*
VERSION     2.8
Attached Fileslog file icon config.log [^] (386,553 bytes) 2011-11-11 13:50

- Relationships

-  Notes
User avatar (0000108)
hydrant (reporter)
2011-11-11 13:51
edited on: 2011-11-11 13:52

Same problem here... gcc (Gentoo 4.3.4 p1.1, pie-10.1.5) 4.3.4, Is there already solution or workaround? I have uploaded my config.log file.

User avatar (0000109)
hydrant (reporter)
2011-11-11 14:21

I have added line:
#include <stddef.h>

into file:
lib/sfio/sfhdr.h

It looks that this solved the problem.
User avatar (0000110)
ellson (administrator)
2011-11-11 14:30

I think the problem is that on most platforms stdint.h was getting included indirectly as a dependent of some other header used by sfio, and that this doesn't happen on gentoo.

I've made a change that I think should fix this, but I can't fully test here.

Could you try graphiz-2.29 from the hg repo now, or from graphviz-2.29.xxx.tar.gz
after tonight's snapshot builds?
User avatar (0000111)
hydrant (reporter)
2011-11-12 10:52

Yes, it works now.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695
2011-11-11 13:50 hydrant File Added: config.log
2011-11-11 13:51 hydrant Note Added: 0000108
2011-11-11 13:52 hydrant Note Edited: 0000108 View Revisions
2011-11-11 14:21 hydrant Note Added: 0000109
2011-11-11 14:30 ellson Note Added: 0000110
2011-11-12 10:52 hydrant Note Added: 0000111
2013-02-13 15:23 ellson FIX-COMMENT => inactive. unable to reproduce
2013-02-13 15:23 ellson Status acknowledged => resolved
2013-02-13 15:23 ellson Resolution open => fixed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker